Site context

Manage context records, connections, and topics for a docs site.

Manage the contextual records and topics used by your site to power AI experiences and insights.

List all context records

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

typestring · enumOptional

Filter context records by type.

Possible values:
connectorone ofOptional

Filter context records by connector type.

stringOptional

Integration source

Pattern: ^integration:[^:]+$
or
string · enumOptional

Builtin sources

Possible values:
connectionstringOptional

Filter context records by connection id.

topicstringOptional

Filter context records by associated site topic ID.

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/context-records
200

OK

Create or update context records

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Bodyobject[]

Input to ingest a new context record

idstringRequired

Unique local identifier for the record

typestring · enumRequiredPossible values:
titlestring · min: 1 · max: 256Required

Title for the context record

descriptionstring · max: 512Optional

Optional short description of the context record

bodystringRequired

Body content of the record as markdown

urlstring · uriOptional

URL of the record

createdAtstring · date-timeOptional

Date of the record creation in the original source

Responses
put
/orgs/{organizationId}/sites/{siteId}/context-records
204

The context records have been created or updated

No content

Get a context record

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteContextRecordIdstringRequired

The unique id of the context record

Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the record

titlestring · min: 1 · max: 256Required

Title for the context record

descriptionstring · max: 512Optional

Optional short description of the context record

typestring · enumRequiredPossible values:
createdAtstring · date-timeRequired
processedAtstring · date-timeOptional
connectionstringRequired

The connection ID associated with the record

connectorone ofRequired

The connector type associated with the record

stringOptional

Integration source

Pattern: ^integration:[^:]+$
or
string · enumOptional

Builtin sources

Possible values:
topicsstring[]Optional

The associated topics of the record

get
/orgs/{organizationId}/sites/{siteId}/context-records/{siteContextRecordId}
200

OK

List all site scans

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

topicstringOptional

Filter scans by associated site topic ID.

statusstring · enumOptional

Status of a persisted site scan.

Possible values:
Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/scans
200

OK

Enqueue a new site scan

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Body
topicstringRequired

The site topic ID to scan.

Responses
post
/orgs/{organizationId}/sites/{siteId}/scans
202

Site scan has been enqueued

Get a site scan by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteScanIdstringRequired

The unique id of the site scan

Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the scan

statusstring · enumRequired

Status of a persisted site scan.

Possible values:
topicstringRequired

The site topic ID associated with the scan

createdAtstring · date-timeRequired
startedAtstring · date-timeOptional
finishedAtstring · date-timeOptional
failureMessagestringOptional

Failure message for failed scans

get
/orgs/{organizationId}/sites/{siteId}/scans/{siteScanId}
200

OK

List all site context findings

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

topicstringOptional

Filter findings by associated site topic ID.

statusstring · enumOptional

Status of a site finding.

Possible values:
typestring · enumOptional

Classification of a site finding:

  • Outdated content: The content is no longer up to date with external context and may be misleading or incorrect.
  • Incoherent content: The content contains information that is inconsistent or contradictory.
  • Content gap: The content is missing important information that should be present to answer user questions effectively.
  • Other: Any other type of finding not covered by the above categories.
Possible values:
severitystring · enumOptional

Estimated end-user severity of a site finding.

Possible values:
Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/findings
200

OK

Get a site finding by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the finding

scanstringRequired

The site scan ID associated with the finding

topicstringRequired

The site topic ID associated with the finding

titlestring · max: 256Required

Short finding title

changeRequestsnumberRequired

Number of change requests linked to the finding

pagesnumberRequired

Number of pages linked to the finding

recordsnumberRequired

Number of records linked to the finding

questionsnumberRequired

Number of questions linked to the finding

statusstring · enumRequired

Status of a site finding.

Possible values:
typestring · enumRequired

Classification of a site finding:

  • Outdated content: The content is no longer up to date with external context and may be misleading or incorrect.
  • Incoherent content: The content contains information that is inconsistent or contradictory.
  • Content gap: The content is missing important information that should be present to answer user questions effectively.
  • Other: Any other type of finding not covered by the above categories.
Possible values:
severitystring · enumRequired

Estimated end-user severity of a site finding.

Possible values:
autoFixablebooleanRequired

Whether an AI agent should be able to fix this finding directly

createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
get
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}
200

OK

Update a site finding

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Body
statusstring · enumRequiredPossible values:
Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the finding

scanstringRequired

The site scan ID associated with the finding

topicstringRequired

The site topic ID associated with the finding

titlestring · max: 256Required

Short finding title

changeRequestsnumberRequired

Number of change requests linked to the finding

pagesnumberRequired

Number of pages linked to the finding

recordsnumberRequired

Number of records linked to the finding

questionsnumberRequired

Number of questions linked to the finding

statusstring · enumRequired

Status of a site finding.

Possible values:
typestring · enumRequired

Classification of a site finding:

  • Outdated content: The content is no longer up to date with external context and may be misleading or incorrect.
  • Incoherent content: The content contains information that is inconsistent or contradictory.
  • Content gap: The content is missing important information that should be present to answer user questions effectively.
  • Other: Any other type of finding not covered by the above categories.
Possible values:
severitystring · enumRequired

Estimated end-user severity of a site finding.

Possible values:
autoFixablebooleanRequired

Whether an AI agent should be able to fix this finding directly

createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
patch
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}
200

OK

List change requests linked to a site finding

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

List of change requests linked to the site finding

application/json
get
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/change-requests
200

List of change requests linked to the site finding

Process a site finding into change requests

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Responses
post
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/change-requests
202

Site finding processing has been started

No content

List pages linked to a site finding

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

List of pages linked to the site finding

application/json
get
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/pages
200

List of pages linked to the site finding

List questions linked to a site finding

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

List of questions linked to the site finding

application/json
get
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/questions
200

List of questions linked to the site finding

List records linked to a site finding

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteFindingIdstringRequired

The unique id of the site finding

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

List of records linked to the site finding

application/json
get
/orgs/{organizationId}/sites/{siteId}/findings/{siteFindingId}/records
200

List of records linked to the site finding

List all context connections

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/context-connections
200

OK

Create a context connection

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Body
anyOptional
or
or
or
or
or
or
or
and
Responses
post
/orgs/{organizationId}/sites/{siteId}/context-connections
201

Created connection

Get a context connection

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Responses
chevron-right
200

OK

application/json
and
anyOptional
or
or
or
or
or
or
or
get
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}
200

OK

Delete a context connection

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Responses
delete
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}

No content

Update a context connection

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Body
anyOptional
or
or
or
or
or
or
or
or
Responses
chevron-right
200

OK

application/json
and
anyOptional
or
or
or
or
or
or
or
patch
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}
200

OK

Trigger a sync for a context connection

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteContextConnectionIdstringRequired

The unique id of the context connection

Responses
post
/orgs/{organizationId}/sites/{siteId}/context-connections/{siteContextConnectionId}/sync

No content

List all topics

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
fromstring · date-timeOptional

Filter stats to answers created at or after this timestamp.

tostring · date-timeOptional

Filter stats to answers created at or before this timestamp.

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/topics
200

OK

Get a topic

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteTopicIdstringRequired

The unique id of the topic

Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the topic

labelstringRequired

The label of the topic

createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
iconstring · icon · max: 50Required

Name of the icon

Example: gear
pagesnumberRequired

The number of pages associated with the topic

recordsnumberRequired

The number of records in the topic

get
/orgs/{organizationId}/sites/{siteId}/topics/{siteTopicId}
200

OK

Update a topic

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteTopicIdstringRequired

The unique id of the topic

Body
Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the topic

labelstringRequired

The label of the topic

createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
iconstring · icon · max: 50Required

Name of the icon

Example: gear
pagesnumberRequired

The number of pages associated with the topic

recordsnumberRequired

The number of records in the topic

patch
/orgs/{organizationId}/sites/{siteId}/topics/{siteTopicId}
200

OK

Delete all findings for a topic

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

siteTopicIdstringRequired

The unique id of the topic

Responses
delete
/orgs/{organizationId}/sites/{siteId}/topics/{siteTopicId}/findings

No content

Last updated

Was this helpful?